View Issue Details

IDProjectCategoryView StatusLast Update
0007075mantisbtbugtrackerpublic2007-05-08 03:43
ReportervboctorAssigned Tovboctor 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.0.3 
Target VersionFixed in Version1.1.0a1 
Summary0007075: Wiki integration with Mantis
Description

Mantis covers very well the area of bugtracker, however, when developers are implementing features that require some sort of upfront documentation / design, the notes approach may become a bit confusing. I find that notes is a good approach for people to provide their thoughts. However, eventually the developer needs to put this all together into one artifact that will reflect what exactly will be implemented.

For agile environments a wiki will be a good options for putting together such documentation. This can include a description of the feature, some implementation notes, and even some testing notes.

Click the "Wiki" link next to the "Send Reminder" to see a prototype of this feature. Please provide feedback as notes to this issue.

TagsNo tags attached.

Relationships

has duplicate 0005058 closedgiallu A feature request for Report issues and Add notes 

Activities

tyler

tyler

2006-05-10 10:14

reporter   ~0012814

Are there any plans on implementing a PDF export, etc, feature for the wiki (are there wikis that support this?) I don't let non-developers any access to my tracker, but the ability to export such a design wiki page to PDF would be nice to send to clients, etc. (After developers have collaborated on the feature/bug/etc)

deboutv

deboutv

2006-05-10 10:30

reporter   ~0012815

The Wiki needs a link to return to the bug description page. It is a good idea.

isa21493

isa21493

2006-05-12 04:09

reporter   ~0012818

will the wiki be implemented in the next version of mantis?

stevemagruder

stevemagruder

2006-05-12 11:48

reporter   ~0012822

I like this idea a lot, but it needs to be able to hook into the predominant wiki engine, MediaWiki.

vboctor

vboctor

2006-05-16 10:40

manager   ~0012847

This is a mod to DokuWiki to allow template selection. Tempaltes are stored as normal wiki page within "Templates" namespace.
http://wiki.splitbrain.org/plugin:template_chooser

Following is a link to the page which includes a list of DokuWiki plug-ins:
http://wiki.splitbrain.org/wiki%3Aplugins

jreb

jreb

2006-05-16 19:40

reporter   ~0012851

I see the working [Wiki] link next to the [Send a reminder] link.
I also see the label that indicates this site is Mantis 1.0.3.

How is this done? Is there a customization feature that I missed in 1.0 to do this? Is this site running some patches to 1.0.3? Are they listed somewhere?

Thanks.

vboctor

vboctor

2006-05-17 11:08

manager   ~0012857

jreb, the Wiki feature is a patch and is not part of Mantis 1.0.3. The Wiki integration is not planned to be implemented in 1.0.x releases. However, it may be part of the Mantis 1.1 release.

See the attached Wiki for both the vision for this feature as well as detailed steps on how to setup a similar integration. Note that the patch is "experimental" and won't be supported.

I would like feedback from anyone who uses this patch. Also ideas for the vision will be most welcome.

2006-05-17 18:51

 

Integrating DockuWiki with Mantis.pdf (75,447 bytes)
vboctor

vboctor

2006-05-17 18:55

manager   ~0012862

I've attached a PDF snapshot of the Wiki associated with this issue. This was done using CutePDF Writer ( http://www.cutepdf.com ) which is a free printer driver that generates PDF file from any Windows application. This approach will work well if the PDF is to be generated from a single Wiki page. For Wikis that can generate a single PDF from multiple pages (if any), then it will make sense to use the Wiki implementation. If there is a working implementation in the Wiki, it will also be cross-platform (although I'm sure there are tools that are similar to CutePDF for Linux).

jugg

jugg

2006-05-24 13:50

reporter   ~0012896

From wiki: mantisbt:7075:integration_with_dokuwiki#configuration1

URL under which the wiki engine is hosted. Must be on the same server.

$g_wiki_engine_url = $t_protocol . '://' . $t_host . '/%wiki_engine%/';

This will not allow one to use different subdomains for the bug tracker and wiki.

For example, we use dokuwiki as our main webpage www.ourdomain.com, and mantisbt is located at bugs.ourdomain.com. Of course I've seen instances where it is bugs.domain.com and wiki.domain.com as well.

vboctor

vboctor

2006-05-24 17:19

manager   ~0012897

The $g_wiki_engine_url defined is just the default value, it can be overritten the same way $g_path can be overwritten in config_inc.php. This will all work as long as both Mantis and the Wiki are installed on the same server.

jugg

jugg

2006-05-24 17:57

reporter   ~0012898

Will this integration allow a user to login via the wiki, and as a result also be logged in to mantis? Or is the authentication one way only? Only mantis to wiki? It'd be nice if it were both ways. (from the quick testing I did on the setup here, it is only mantis to wiki, and not the reverse). Obviously, regardless of which interface is used to login, it should use the mantisbt authentication.

Also, allow the wiki namespace could be configured per project via the mantis project admin web interface. Our wiki already has individual project namespaces, and I'd like to use the format of "<project>:issues:<bugid>" instead of the flat "mantis:<bugid>".

That also leads to being able to make the wiki feature enabled/disabled per project. So, have a global config file option to enable the wiki support with all of the relevant backend config, but by default no projects have wiki support enabled unless done through the web interface.

And one more thing in wiki_dokuwiki_get_url_for_page_id() you hardcode the use of 'doku.php?id='. And while that should basically always be valid (unles some wierd custom install), some installations use mod_rewrite (http://wiki.splitbrain.org/wiki:tips:modrewrite) to clean up the url that is used. It'd be nice to be able to use a 'clean' url for the wiki when linked from mantis. So, perhaps this could be made part of the configuration. $g_wiki_engine_url_link = 'doku.php?id=' or just set to empty if using mod_rewrite.

tandler

tandler

2006-06-12 12:03

reporter   ~0012956

I really like this idea!

One issue for integration not mentioned yet are files attached to notes vs. files attached to wiki pages (or uploaded to the wiki in general) - I think files linked to mantis issues should refer to the same files that belong to the wiki page (or the other way round).

Without having used your integration (much) yet, I could imagine that there need to be clear rules of what is written in the wiki and what in mantis, e.g. where should I add comments - directly to the page or as a note to the issue. (In both cases you need a good notification of changes.) At least I was just confused about this myself right now: should I add the new requirement (attached files) directly in the wiki page or post it here? (I guess the notification about changes in the wiki is not yet integrated: users watching an issue should also receive notification about related wiki pages. Maybe you could specify the level of the distance from the main issue page.)

Well, I think in fact that the description of the issue could actually /be/ the corresponding wiki page - what do you think? Currently, the wiki page attached to this issue only contains links to other pages -- these links should be better placed directly in the description! I think it should be avoided that you need the description again on the wiki page. (As a side effect, you would also be able to access the history of the description.)

DGtlRift

DGtlRift

2006-07-13 17:35

reporter   ~0013100

Is there any progress on a actual design that will integrate into a release of mantis. I get the impression that Victor intended this as a proof of concept, but it seems fairly clean to me even with the points that Peter brought up. Any idea where this fits into the road map?

It would be nice at the very least to attach a relationship for this to a future release so at the very least there can be a goal for it.

kraades

kraades

2006-07-24 08:56

reporter   ~0013133

Using Mantis 0.19.1.

I followed the steps in the PDF attachment but have a few problems:
(BTW: a few lines in the PHP code in the PDF output are a bit too long are therefore incomplete)

I do have a Wiki-link next to the Docs-link but it links to wiki.php which does not exists!? (example: http://hol01sro/mantist/wiki.php?type=project&amp;id=12)

And I don't have a Wiki-link next to the "Send a reminder"-link!?

vboctor

vboctor

2006-08-09 04:00

manager   ~0013239

I've update the associated Wiki page to include an update version of the code as well as missing pieces like wiki.php, updates to bug_view_page.php, bug_view_advanced_page.php, etc.

I've also committed the current implementation to CVS. Hence, this stuff will be part of Mantis 1.1.

Now that it is there, I'll be working on implementing improvements that I've included in the vision or that are recommended here.

vboctor

vboctor

2006-08-09 04:02

manager   ~0013240

Note that I didn't update the attached PDF. The master is always the Wiki. The PDF is just an example that the Wiki contents can be exported/printed to PDF.

vboctor

vboctor

2006-09-12 02:29

manager   ~0013362

The first version of the integration was released as part of Mantis 1.1.0a1.

Issue History

Date Modified Username Field Change
2006-05-10 10:03 vboctor New Issue
2006-05-10 10:03 vboctor Assigned To => vboctor
2006-05-10 10:14 tyler Note Added: 0012814
2006-05-10 10:30 deboutv Note Added: 0012815
2006-05-12 04:09 isa21493 Note Added: 0012818
2006-05-12 11:48 stevemagruder Note Added: 0012822
2006-05-16 10:40 vboctor Note Added: 0012847
2006-05-16 19:40 jreb Note Added: 0012851
2006-05-17 11:08 vboctor Note Added: 0012857
2006-05-17 18:51 vboctor File Added: Integrating DockuWiki with Mantis.pdf
2006-05-17 18:55 vboctor Note Added: 0012862
2006-05-24 13:50 jugg Note Added: 0012896
2006-05-24 17:19 vboctor Note Added: 0012897
2006-05-24 17:57 jugg Note Added: 0012898
2006-06-12 12:03 tandler Note Added: 0012956
2006-07-13 17:35 DGtlRift Note Added: 0013100
2006-07-24 08:56 kraades Note Added: 0013133
2006-08-09 04:00 vboctor Note Added: 0013239
2006-08-09 04:02 vboctor Note Added: 0013240
2006-09-12 02:29 vboctor Status new => resolved
2006-09-12 02:29 vboctor Fixed in Version => 1.1.0a1
2006-09-12 02:29 vboctor Resolution open => fixed
2006-09-12 02:29 vboctor Note Added: 0013362
2007-03-30 04:04 giallu Relationship added has duplicate 0005058
2007-03-30 04:15 giallu Relationship added has duplicate 0006137
2007-03-30 04:17 giallu Relationship deleted has duplicate 0006137
2007-05-08 03:43 vboctor Status resolved => closed